@extends('layout')

@section('title')
    Топ популярных фотографий
@stop

@section('content')

    <h1>Топ популярных фотографий</h1>

    <nav>
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="/"><i class="fas fa-home"></i></a></li>
            <li class="breadcrumb-item"><a href="/photos">Галерея</a></li>
            <li class="breadcrumb-item active">Топ популярных фотографий</li>
        </ol>
    </nav>

    @if ($photos->isNotEmpty())
<div class="photos-top">
    <span>  Сортировать:
        <?php $active = ($order === 'rating') ? 'success' : 'light'; ?>
        <a href="/photos/top?sort=rating" class="badge badge-{{ $active }}">Оценки</a>

        <?php $active = ($order === 'count_comments') ? 'success' : 'light'; ?>
        <a href="/photos/top?sort=comments" class="badge badge-{{ $active }}">Комментарии</a></span>
</div>
      
       


        @foreach ($photos as $photo)
           <div class="gallery-block">
            <div class="gallery-block-nav">
                <a class="gallery-block-link" href="/photos/{{ $photo->id }}"><i class="fa fa-image"></i>{{ $photo->title }}
                <span>{!! formatNum($photo->rating) !!}</span></a>
            </div>

            <div>
                <?php $countFiles = $photo->files->count() ?>
                <div class="gallery-photos">
                
                    @if ($countFiles > 1)
                        <ol class="carousel-indicators">
                            @for ($i = 0; $i < $countFiles; $i++)
                                <li data-target="#myCarousel{{ $loop->iteration }}" data-slide-to="{{ $i }}"{{ empty($i) ? ' class="active"' : '' }}></li>
                            @endfor
                        </ol>
                    @endif

                    <div class="carousel-inner">
                        @foreach ($photo->files as $file)
                            <div class="carousel-item{{ $loop->first ? ' active' : '' }}">
                                {!! resizeImage('/uploads/photos/' . $file->hash, ['alt' => $photo->title, 'class' => 'd-block w-100']) !!}
                            </div>
                        @endforeach
                    </div>

                    @if ($countFiles > 1)
                        <a class="carousel-control-prev" href="#myCarousel{{ $loop->iteration }}" role="button" data-slide="prev">
                            <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                            <span class="sr-only">Previous</span>
                        </a>
                        <a class="carousel-control-next" href="#myCarousel{{ $loop->iteration }}" role="button" data-slide="next">
                            <span class="carousel-control-next-icon" aria-hidden="true"></span>
                            <span class="sr-only">Next</span>
                        </a>
                    @endif
               
                </div>

               <div class="gallery-text">
                {!! bbCode($photo->text) !!}
                </div>
                <div class="gallery-bottom">
                <span> Добавлено: {!! profile($photo->user) !!} ({{ dateFixed($photo->created_at) }})</span>
               <span><a href="/photos/comments/{{ $photo->id }}"><i class="fa fa-comment" aria-hidden="true"> {{ $photo->count_comments }}</i></a> 
                <!--<a href="/photos/end/{{ $photo->id }}"><i class="fa fa-chevron-circle-right" aria-hidden="true"></i></a>-->
                </span>
                
                </div>
            </div>
</div>
        @endforeach

        {!! pagination($page) !!}
    @else
        {!! showError('Загруженных фотографий еще нет!') !!}
    @endif
@stop
